Index: code/branches/FICN/src/audio/AudioBuffer.cc
===================================================================
--- code/branches/FICN/src/audio/AudioBuffer.cc	(revision 712)
+++ code/branches/FICN/src/audio/AudioBuffer.cc	(revision 715)
@@ -30,5 +30,5 @@
 namespace audio
 {
-	AudioBuffer::AudioBuffer(orxonox::String fileName)
+	AudioBuffer::AudioBuffer(std::string fileName)
 	{
 		// Load wav data into buffers.
Index: code/branches/FICN/src/audio/AudioBuffer.h
===================================================================
--- code/branches/FICN/src/audio/AudioBuffer.h	(revision 712)
+++ code/branches/FICN/src/audio/AudioBuffer.h	(revision 715)
@@ -9,5 +9,5 @@
 	{
 	public:
-		AudioBuffer(orxonox::String fileName);
+		AudioBuffer(std::string fileName);
 		~AudioBuffer();
 	private:
@@ -15,5 +15,5 @@
 		ALuint buffer;
 		// Identifier
-		orxonox::String name;
+		std::string name;
 		// True if AL was able to load data
 		ALboolean loaded;
Index: code/branches/FICN/src/audio/AudioIncludes.h
===================================================================
--- code/branches/FICN/src/audio/AudioIncludes.h	(revision 712)
+++ code/branches/FICN/src/audio/AudioIncludes.h	(revision 715)
@@ -1,4 +1,5 @@
 #include <iostream>
 #include <vector>
+#include <string>
 
 #include <AL/al.h>
@@ -11,3 +12,2 @@
 
 #include "orxonox/core/Error.h"
-#include "misc/String.h"
Index: code/branches/FICN/src/audio/AudioManager.cc
===================================================================
--- code/branches/FICN/src/audio/AudioManager.cc	(revision 712)
+++ code/branches/FICN/src/audio/AudioManager.cc	(revision 715)
@@ -72,7 +72,7 @@
 	}
 
-	void AudioManager::ambientAdd(orxonox::String file)
+	void AudioManager::ambientAdd(std::string file)
 	{
-    orxonox::String path = ambientPath + "/" + file + ".ogg";
+    std::string path = ambientPath + "/" + file + ".ogg";
 		AudioStream tmp(path);
 		tmp.open();
Index: code/branches/FICN/src/audio/AudioManager.h
===================================================================
--- code/branches/FICN/src/audio/AudioManager.h	(revision 712)
+++ code/branches/FICN/src/audio/AudioManager.h	(revision 715)
@@ -37,5 +37,5 @@
 		void update();
 
-		void ambientAdd(orxonox::String file);
+		void ambientAdd(std::string file);
 		void ambientStart();
 		void ambientStop();
@@ -49,5 +49,5 @@
 
 
-		orxonox::String ambientPath;
+		std::string ambientPath;
 	
 		// Vector containing all audio files
Index: code/branches/FICN/src/audio/AudioStream.cc
===================================================================
--- code/branches/FICN/src/audio/AudioStream.cc	(revision 712)
+++ code/branches/FICN/src/audio/AudioStream.cc	(revision 715)
@@ -26,12 +26,12 @@
  */
 
+#include <string>
 
 #include "AudioStream.h"
-#include "misc/String.h"
 #include "../orxonox/core/Debug.h"
 
 namespace audio
 {
-  AudioStream::AudioStream(orxonox::String path)
+  AudioStream::AudioStream(std::string path)
 	{
 		this->path = path;
@@ -255,20 +255,20 @@
 
 
-	orxonox::String AudioStream::errorString(int code)
+	std::string AudioStream::errorString(int code)
 	{
 	    switch(code)
 	    {
 	        case OV_EREAD:
-	            return orxonox::String("Read from media.");
+	            return std::string("Read from media.");
 	        case OV_ENOTVORBIS:
-	            return orxonox::String("Not Vorbis data.");
+	            return std::string("Not Vorbis data.");
 	        case OV_EVERSION:
-	            return orxonox::String("Vorbis version mismatch.");
+	            return std::string("Vorbis version mismatch.");
 	        case OV_EBADHEADER:
-	            return orxonox::String("Invalid Vorbis header.");
+	            return std::string("Invalid Vorbis header.");
 	        case OV_EFAULT:
-	            return orxonox::String("Internal logic fault (bug or heap/stack corruption.");
+	            return std::string("Internal logic fault (bug or heap/stack corruption.");
 	        default:
-	            return orxonox::String("Unknown Ogg error.");
+	            return std::string("Unknown Ogg error.");
 	    }
 	}
Index: code/branches/FICN/src/audio/AudioStream.h
===================================================================
--- code/branches/FICN/src/audio/AudioStream.h	(revision 712)
+++ code/branches/FICN/src/audio/AudioStream.h	(revision 715)
@@ -11,5 +11,5 @@
   {
     public:
-      AudioStream(orxonox::String path);
+      AudioStream(std::string path);
       void open();
       void release();
@@ -24,8 +24,8 @@
       void empty();
       void check();
-      orxonox::String errorString(int code);
+      std::string errorString(int code);
 
     private:
-      orxonox::String path;
+      std::string path;
 
       FILE*           oggFile;
